# $Revision: 1.8 $, $Date: 2010/02/06 22:39:40 $
Summary:	a Free NoMachine (NX) client
Name:		freenx-client
Version:	0.9
Release:	3
License:	GPL v2 or later
Group:		X11/Applications/Networking
Patch0:		%{name}-keypath.patch
URL:		http://freenx.berlios.de/
BuildRequires:	QtCore-devel >= 4.4.0
BuildRequires:	QtGui-devel >= 4.4.0
BuildRequires:	QtXml-devel >= 4.4.0
BuildRequires:	libnxcl-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= 4.4.0
BuildRequires:	qt4-qmake >= 4.4.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires:	nxssh
Source0:	http://download.berlios.de/freenx/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.svg
# Source0-md5:  777b3cda7a245e3870d4870a9460cb73
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
This is a free implementation of a NX session client.

%prep
%setup -q
%patch0 -p1

%build
cd qtnx
qmake-qt4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install qtnx/qtnx $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
install qtnx/id.key $RPM_BUILD_ROOT%{_datadir}/%{name}/default.key
install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/
install %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/
install -d $RPM_BUILD_ROOT%{_desktopdir}/
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qtnx
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.key
%{_iconsdir}/*/*/apps/%{name}.svg
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freenx-client.spec,v $
Revision 1.8  2010/02/06 22:39:40  sparky
- BR: pkgconfig
- dropped BR: doxygen

Revision 1.7  2010/02/06 21:01:34  arekm
- release 3

Revision 1.6  2008/10/07 09:50:54  paszczus
- added R: nxssh
- adaptarized
- rel 2

Revision 1.5  2008/09/23 13:05:32  paszczus
- proper group; rel 1

Revision 1.4  2008/08/17 01:07:33  aredridel
- desktop and icon files

Revision 1.3  2008/08/16 22:40:58  aredridel
- include default NX key

Revision 1.2  2008/08/16 21:38:29  aredridel
- BR: qt4-qmake
- BR: qt4-build

Revision 1.1  2008/08/06 08:13:17  paszczus
- new

